{ config, pkgs, ... }:

{
  nix = {
    maxJobs = 4;
    buildCores = 1;
    autoOptimiseStore = true;
    sshServe.enable = false;
    #sshServe.keys = [];
    useSandbox = true;
    extraOptions = ''
      build-timeout = 86400  # 24 hours
    '';
    trustedBinaryCaches = [
      "http://cache.nixos.org"
    ];
    binaryCaches = [
      "http://cache.nixos.org"
    ];
  };
}
