{ config, lib, pkgs, ... }:

let
  cfg = import ("/etc/nixos/machines/" + (builtins.replaceStrings ["\n"] [""] (builtins.readFile /etc/hostname)) + "/configuration.nix");
in {
  imports = [
    cfg.confPath
    ./config/default.nix
    ./pkgs/nixpkgs.nix
    ./pkgs/pkgsets.nix
    ./services/default.nix
  ];
}
